import type { ContextMenuItem } from './types';

export type { ContextMenuItem } from './types';
export { showContextMenu, hideContextMenu } from './use-context-menu';
export { default as GlobalContextMenu } from './global-context-menu.vue';

export function menuDivider(key = `divider-${Date.now()}`): ContextMenuItem {
  return { key, type: 'divider' };
}
